<?php

class DispletRetsIdxListings{
	public function render_shortcode($attributes){
		global $displetretsidx_option;
		global $displetretsidx_model;
		$displetretsidx_model['shortcode_count'] = !empty($displetretsidx_model['shortcode_count']) ? $displetretsidx_model['shortcode_count'] + 1 : 1;
		$model = shortcode_atts(array(
			// Has settings defaults but shortcode override
			'price_navigation' => $displetretsidx_option['include_price_navigation'],
			'property_type_navigation' => $displetretsidx_option['include_property_type_navigation'],
			'property_type_sorting' => $displetretsidx_option['include_property_type_sorting'],
			'stats' => $displetretsidx_option['include_stats'],
			'layout' => $displetretsidx_option['listings_layout'],
			// Has only shortcode attributes
			'listings' => '',
			'caption' => '',
			'minlistprice' => '',
			'maxlistprice' => '',
			'minbedrooms' => '',
			'maxbedrooms' => '',
			'minbathrooms' => '',
			'maxbathrooms' => '',
			'minsquarefeet' => '',
			'maxsquarefeet' => '',
			'quick_terms' => '',
			'area_mls_defined' => '',
			'city' => '',
			'property_type' => '',
			'minstories' => '',
			'waterfront' => '',
			'pool_on_property' => '', 
			'subdivision' => '',
			'keyword' => '',
			'school' => '',
			'school_district' => '',
			'minacres' => '',
			'zip' => '',
			'is_foreclosure' => '',
			'yearbuilt' => '',
			'county' => '',
			'status' => '',
			'short_sale' => '',
			'last_modified' => '',
			'listing_agent_id' => '',
			'listing_office_id' => '',
			'min_lot_size' => '',
			'is_gated_community' => '',
			'min_sold_date' => '',
			'max_sold_date' => '',
			'master_on_main' => '',
			'basement' => '',
			'min_square_feet_available' => '',
			'max_square_feet_available' => '',
			'min_price_per_sq_feet' => '',
			'max_price_per_sq_feet' => '',
			'street_name' => '',
			'street_number' => '',
			'listed_since' => '',
			'sort_by' => '',
			'direction' => '',
			'mls_number' => ''
		), $attributes);
		$model['show_listings'] = $model['listings'];
		$model['listings'] = false;
		$model = self::get_lowercase_yes_no_model($model);
		$model = array_merge($model, $displetretsidx_model);
		$listings = self::get_listings_for_model($model);
		$model = array_merge($model, $listings);
		$content = self::get_listing_templates($model);
		return $content;
	}

	public function render_shortcode_stats(){
		// Empty to remove legacy shortcode calls
	}

	public function get_disclaimer($model){
		$disclaimer = '';
		if (!empty($model['options']['disclaimer_image'])) {
			$disclaimer .= '<img class="displet-mls-logo" src="' . $model['options']['disclaimer_image'] . '" />';
		}
		if (!empty($model['options']['disclaimer'])) {
			$disclaimer .= str_replace('%%date_last_updated%%', $model['last_updated'], $model['options']['disclaimer']);
		}
		return $disclaimer;
	}

	public function get_max_results_message($options){
		if (!empty($options['results_limit'])) {
			return 'Only ' . $options['results_limit'] . ' properties may be displayed per search. To see all results, please narrow your search criteria.';
		}
		return false;
	}

	public function get_property_type_navigation($model){
		$property_types = array();
		if (!empty($model['property_type'])){
			$model_property_types = explode(',', $model['property_type']);
			foreach ($model_property_types as $property_type) {
				$key = strtolower(trim($property_type));
				$property_types[$key] = $property_type;
			}
		}
		else{
			$displetretsidx_field_option = DispletRetsIdxSettings::get_option('fields');
			if (!empty($displetretsidx_field_option['property_type'])) {
				foreach ($displetretsidx_field_option['property_type'] as $property_type) {
					$key = strtolower($property_type);
					$property_types[$key] = $property_type;
				}
			}
		}
		$filter_used = false;
		if (!empty($model['options']['property_type_include_filter'])) {
			foreach ($model['options']['property_type_include_filter'] as $key => $value) {
				$new_key = strtolower($key);
				$filter_property_types[$new_key] = $value;
				if ($value != 'false') {
					$filter_used = true;
				}
			}
		}
		if (!empty($property_types) && !empty($filter_used)) {
			foreach ($property_types as $property_type_key => $value) {
				if (isset($filter_property_types[$property_type_key]) && $filter_property_types[$property_type_key] == 'false'){
					unset($property_types[$property_type_key]);
				}
			}
		}
		return $property_types;
	}

	public function get_sort_options($model){
		$sort_options =
			'<option class="displet-font-color-light" value="">Sort By</option>
			<option class="displet-font-color-light" value="price-ascending">Price Low to High</option>
			<option class="displet-font-color-light" value="price-descending">Price High to Low</option>
			<option class="displet-font-color-light" value="date-descending">Newest</option>
			<option class="displet-font-color-light" value="date-ascending">Oldest</option>';
		if ($model['is_displet_api'] && ((!empty($model['property_type_sorting']) && strtolower($model['property_type_sorting']) != 'no' && strtolower($model['show_listings']) != 'no') || (empty($model['property_type_sorting']) && !empty($model['options']['include_property_type_sorting']))) && !empty($model['property_types']) && ((!$model['is_search_results_page'] && !$model['is_mobile_search_results_page']) || !empty($model['property_state']))) {
			$sort_options .= '<option class="displet-font-color-light" value="all">All Property Types</option>';
			foreach ($model['property_types'] as $key => $value) {
				$sort_options .= '<option class="displet-font-color-light" value="' . $key . '">' . $value . '</option>';
			}
		}
		return $sort_options;
	}

	private function get_lowercase_yes_no_model($model){
		$yes_no_keys = array(
			'layout',
			'price_navigation',
			'property_type_navigation',
			'property_type_sorting',
			'show_listings',
			'stats'
		);
		foreach ($yes_no_keys as $key => $value) {
			if (!empty($model[$key])) {
				$model[$key] = strtolower($value);
			}
		}
		return $model;
	}

	public function get_model_for_each_status($model){
		$models = array();
		if (!empty($model['status'])) {
			$statuses = array_map('trim', explode(',', $model['status']));
		}
		else{
			$statuses = DispletRetsIdxSettings::get_filtered_statuses();
		}
		if (!empty($statuses) && is_array($statuses)) {
			foreach ($statuses as $status) {
				$model['status'] = $status;
				$models[] = $model;
			}
		}
		return $models;
	}
	
	public function update_canonical(){
		// Determine if page contains DispletListing shortcode
		$shortcode = false;
		$regex = '/' . get_shortcode_regex() . '/s';
		global $posts;
		if (isset($posts[0])) {
			preg_match($regex, $posts[0]->post_content, $matches);
			if (is_array($matches) && isset($matches[2]) && $matches[2] == 'DispletListing') {
				$shortcode = true;
			}
		}
		// Remove default canonical and add ours
		if (get_query_var('paged') && $shortcode){
			remove_action('wp_head', 'rel_canonical');
			add_action('wp_head', array('DispletRetsIdxListings', 'add_canonical'), 1);
		}
	}

	public function add_canonical(){
		// Add canonical that includes /page/id
		$link = rtrim(get_permalink(), '/');
		$paged = get_query_var('paged');
		if ($paged) {
			$link .= '/page/' . $paged;
		}
	    echo '<link rel="canonical" href="' . esc_url($link) . '" />';
	}

	public function remove_yoasts_canonical($canonical) {
		// Determine if page contains DispletListing shortcode
		$shortcode = false;
		$regex = '/' . get_shortcode_regex() . '/s';
		global $posts;
		if (isset($posts[0])) {
			preg_match($regex, $posts[0]->post_content, $matches);
			if (is_array($matches) && isset($matches[2]) && $matches[2] == 'DispletListing') {
				$shortcode = true;
			}
		}
		if (get_query_var('paged') && $shortcode) {
	    	$canonical = false;
	    }
		return $canonical;
	}

	public function get_listings_for_model($model){
		$model = DispletRetsIdxModel::prep_for_listings($model);
		if ($model['layout'] == 'table'){
			if ($model['stats'] != 'advanced') {
				$new_model = $model;
				$new_model['listings_per_page'] = 1;
				$listings = DispletRetsIdxResidentialsApi::get_listings($new_model);
			}
			else{
				$listings = array();
			}
			$listings['listings_by_status'] = array();
			$models = self::get_model_for_each_status($model);
			if (!empty($models) && is_array($models)) {
				foreach ($models as $the_model) {
					$listings['listings_by_status'][] = DispletRetsIdxResidentialsApi::get_listings($the_model);
				}
			}
		}
		else{
			if ($model['show_listings'] == 'no') {
				$model['listings_per_page'] = 1;
			}
			if (!($model['stats'] == 'advanced' && $model['show_listings'] == 'no')) {
				$listings = DispletRetsIdxResidentialsApi::get_listings($model);
			}
			if ($model['stats'] == 'advanced') {
				$listings['stats_by_status'] = array();
				$models = self::get_model_for_each_status($model);
				if (!empty($models) && is_array($models)) {
					foreach ($models as $the_model) {
						$listings['stats_by_status'][] = DispletRetsIdxResidentialsApi::get_listings($the_model);
					}
				}
			}
		}
		return $listings;
	}

	public function get_listing_templates($model){
		$model = DispletRetsIdxModel::prep_for_listings($model);
		$content = '';
		if ($model['layout'] != 'table') {
			$content .= '<span id="displetretsidx_listings' . $model['shortcode_count'] . '" class="displetretsidx_listings">';
		}
		if (!empty($model['caption'])) {
			$content .= '<h2 class="displet-caption">' . $model['caption'] . '</h2>';	
		}
		if ($model['is_search_results_page'] && empty($model['property_state'])) {
			$content .= DispletRetsIdxLoad::get_template('displet-search-form.php', $displetretsidx_model);
		}
		if (intval($model['meta']->count) > 0 || $model['layout'] == 'table') {
			$content .= DispletRetsIdxLoad::get_template('displet-listings-jquery.php', $model);
			if ($model['is_displet_api']) {
				if (!empty($model['stats']) && $model['stats'] != 'no') {
					if ($model['stats'] == 'advanced' && $model['layout'] != 'table' && !($model['is_search_results_page'] && empty($model['property_state']))) {
						$content .= DispletRetsIdxLoad::get_template('displet-statistics-advanced.php', $model);
					}
					else if ($model['stats'] == 'basic' || $model['stats'] == 'yes') {
						$content .= DispletRetsIdxLoad::get_template('displet-statistics.php', $model);
					}
				}
				if (!($model['is_search_results_page'] && empty($model['property_state'])) && (intval($model['meta']->count) > 9 || $model['layout'] == 'table')) {
					if (!empty($model['property_type_navigation']) || !empty($model['options']['include_property_type_sorting'])){
						$model['property_types'] = DispletRetsIdxListings::get_property_type_navigation($model);
					}
					if ($model['layout'] != 'table') {
						if (!empty($model['property_type_navigation']) && $model['property_type_navigation'] != 'no' && $model['show_listings'] != 'no') {
							$content .= DispletRetsIdxLoad::get_template('displet-property-type-navigation.php', $model);
						}
						if (!empty($model['price_navigation']) && $model['price_navigation'] != 'no' && $model['show_listings'] != 'no') {
							$content .= DispletRetsIdxLoad::get_template('displet-price-navigation.php', $model);
						}
					}
				}
			}
		}
		else if (!empty($model['show_listings']) && $model['show_listings'] == 'no' && !empty($model['stats']) && $model['stats'] != 'no') {
			if ($model['stats'] == 'advanced') {
				$content .= DispletRetsIdxLoad::get_template('displet-statistics-advanced.php', $model);
			}
			else{
				$content .= DispletRetsIdxLoad::get_template('displet-statistics.php', $model);
			}
		}
		if ($model['show_listings'] != 'no') {
			$model['sort_options'] = self::get_sort_options($model);
			if (intval($model['meta']->count) > intval($model['options']['results_limit'])) {
				$model['results_limit_message'] = self::get_max_results_message($model['options']);
			}
			if ($model['layout'] == 'table') {
				$content .= DispletRetsIdxLoad::get_template('displet-table.php', $model);
			}
			else{
				$content .= DispletRetsIdxLoad::get_template('displet-dynamic.php', $model);
			}
		}
		if ($model['layout'] != 'table') {
			$content .= '</span>';
		}
		return $content;
	}

	public function maybe_include_jquery(){
		global $displetretsidx_model;
		if ($displetretsidx_model['is_mobile_search_results_page']){
			self::include_jquery($displetretsidx_model);
		}
	}

	public function include_jquery($model){
		echo DispletRetsIdxLoad::get_template('displet-listings-jquery.php', $model);
	}
}

add_action('wp_head', array('DispletRetsIdxListings', 'maybe_include_jquery'));
add_shortcode('DispletListing', array('DispletRetsIdxListings', 'render_shortcode'));
add_shortcode('DispletStats', array('DispletRetsIdxListings', 'render_shortcode_stats'));
add_action('template_redirect', array('DispletRetsIdxListings', 'update_canonical'));
add_filter('wpseo_canonical', array('DispletRetsIdxListings', 'remove_yoasts_canonical'));

?>