<?php
	/*****************************
	** Template Notes
	******************************
	#displet-dynamic - Required, should contain all other functions
	#displet-map - Required for map
	displetretsidx_setup_template_data($model) - Must appear at the start of the template before any other template functions
	if (displetretsidx_have_listings()) : while (displetretsidx_have_listings()) : displetretsidx_the_listing(); - Like the WordPress loop but for listings instead of posts
	displetretsidx_the_<FIELD>_container_class() - Used by JS when new listings are populated. Element is hidden when field is unavailable and shown when field is available.
	displetretsidx_the_<FIELD>_class() - Used by JS when new listings are populated. Element's contents are overwritten with new listing data.
	displetretsidx_the_photo_class() - Used by JS whenc new listings are populated. <img> elements with this class will have their src attribute updated with the image URL. <div> elements with this class will have their background-image style updated with the image URL.
	displetretsidx_the_hover_transition_element() - Used for background transition effects. .displet-hovertrans fades into visibility when an element is hovered.
	displetretsidx_the_hover_transition_overlay_element() - Used for gradual fade-out of text from description. .displet-text-overlay visible by default, .displet-text-overlay-hovertrans visible on hover.
	******************************
	** PHP functions
	******************************
	displetretsidx_setup_template_data()
	displetretsidx_the_color_scheme_class()
	displetretsidx_has_api_key()
	displetretsidx_has_disclaimer()
	displetretsidx_the_disclaimer()
	displetretsidx_the_credit()
	displetretsidx_the_first_count_class()
	displetretsidx_the_first_count()
	displetretsidx_the_last_count_class()
	displetretsidx_the_last_count()
	displetretsidx_the_total_count_class()
	displetretsidx_the_total_count()
	displetretsidx_the_previous_page_url()
	displetretsidx_the_previous_page_class()
	displetretsidx_the_next_page_url()
	displetretsidx_the_next_page_class()
	displetretsidx_the_sort_class()
	displetretsidx_the_sort_options()
	displetretsidx_have_listings()
	displetretsidx_the_listing()
	displetretsidx_setup_listing_data()
	displetretsidx_the_permalink()
	displetretsidx_the_price()
	displetretsidx_the_price_class()
	displetretsidx_the_price_container_class()
	displetretsidx_has_photo_url()
	displetretsidx_get_photo_url()
	displetretsidx_the_photo_url()
	displetretsidx_the_photo_style()
	displetretsidx_the_photo_class()
	displetretsidx_the_photo_container_class()
	displetretsidx_the_address()
	displetretsidx_the_address_class()
	displetretsidx_the_address_container_class()
	displetretsidx_the_city()
	displetretsidx_the_city_class()
	displetretsidx_the_city_container_class()
	displetretsidx_the_state()
	displetretsidx_the_state_class()
	displetretsidx_the_state_container_class()
	displetretsidx_the_zip()
	displetretsidx_the_zip_class()
	displetretsidx_the_zip_container_class()
	displetretsidx_use_subdivision()
	displetretsidx_the_subdivision()
	displetretsidx_the_subdivision_class()
	displetretsidx_the_subdivision_container_class()
	displetretsidx_the_bedrooms()
	displetretsidx_the_bedrooms_class()
	displetretsidx_the_bedrooms_container_class()
	displetretsidx_the_bathrooms()
	displetretsidx_the_bathrooms_class()
	displetretsidx_the_bathrooms_container_class()
	displetretsidx_the_square_feet()
	displetretsidx_the_square_feet_class()
	displetretsidx_the_square_feet_container_class()
	displetretsidx_the_property_type()
	displetretsidx_the_property_type_class()
	displetretsidx_the_property_type_container_class()
	displetretsidx_use_mls_number()
	displetretsidx_the_mls_number()
	displetretsidx_the_mls_number_class()
	displetretsidx_the_mls_number_container_class()
	displetretsidx_use_listing_agent()
	displetretsidx_the_listing_agent()
	displetretsidx_the_listing_agent_class()
	displetretsidx_the_listing_agent_container_class()
	displetretsidx_use_listing_office()
	displetretsidx_the_listing_office()
	displetretsidx_the_listing_office_class()
	displetretsidx_the_listing_office_container_class()
	displetretsidx_the_description()
	displetretsidx_the_description_class()
	displetretsidx_the_description_container_class()
	displetretsidx_the_no_results_class()
	displetretsidx_use_results_limit_message()
	displetretsidx_the_results_limit_message()
	displetretsidx_use_disclaimer_image()
	displetretsidx_the_disclaimer_image_url()
	displetretsidx_the_listings_loading_container()
	displetretsidx_the_unavailable_listing_container()
	displetretsidx_the_gallery_view_class()
	displetretsidx_the_list_view_class()
	displetretsidx_the_map_view_class()
	displetretsidx_the_gallery_listing_class()
	displetretsidx_the_list_listing_class()
	displetretsidx_the_hover_transition_element()
	displetretsidx_the_hover_transition_overlay_element()
	displetretsidx_the_under_contract_banner_class()
	displetretsidx_the_contingency_banner_class()
	displetretsidx_the_map()
	displetretsidx_the_map_class()
	*****************************/
	displetretsidx_setup_template_data($model);
?>
<div id="displet-dynamic" class="displet-default-styles <?php displetretsidx_the_color_scheme_class(); ?>">
	<?php displetretsidx_the_unavailable_listing_container(); ?>
	<div class="displet-views displet-group">
		<a class="<?php displetretsidx_the_gallery_view_class(); ?> displet-font-color-current displet-font-color-hover displet-border-color-current displet-border-color-hover">
			Gallery
		</a>
		<a class="<?php displetretsidx_the_list_view_class(); ?> displet-font-color-current displet-font-color-hover displet-border-color-current displet-border-color-hover">
			List
		</a>
		<a class="<?php displetretsidx_the_map_view_class(); ?> displet-font-color-current displet-font-color-hover displet-border-color-current displet-border-color-hover">
			Map
		</a>
		<select class="<?php displetretsidx_the_sort_class(); ?> displet-font-color-light">
			<?php displetretsidx_the_sort_options(); ?>
		</select>
	</div>
	<div class="displet-controls displet-group">
		<div class="displet-counts displet-font-color-light">
			<span class="<?php displetretsidx_the_first_count_class(); ?> displet-font-color-light">
				<?php displetretsidx_the_first_count(); ?>
			</span>
			&ndash;
			<span class="<?php displetretsidx_the_last_count_class(); ?> displet-font-color-light">
				<?php displetretsidx_the_last_count(); ?>
			</span>
			of
			<span class="<?php displetretsidx_the_total_count_class(); ?> displet-font-color-light">
				<?php displetretsidx_the_total_count(); ?>
			</span>
		</div>
		<a href="<?php displetretsidx_the_previous_page_url(); ?>" class="<?php displetretsidx_the_previous_page_class(); ?> displet-font-color">
			<span class="displet-previous-icon displet-font-color">
				&laquo;
			</span>
			<span class="displet-font-color">
				Prev
			</span>
		</a>
		<a href="<?php displetretsidx_the_next_page_url(); ?>" class="<?php displetretsidx_the_next_page_class(); ?> displet-font-color">
			<span class="displet-font-color">
				Next
			</span>
			<span class="displet-next-icon displet-font-color">
				&raquo;
			</span>
		</a>
	</div>
	<?php if (displetretsidx_use_results_limit_message()) : ?>
		<div class="displet-max-results">
			<?php displetretsidx_the_results_limit_message(); ?>
		</div>
	<?php endif; ?>
	<div class="displet-listings displet-group">
		<?php if (displetretsidx_have_listings()) : while (displetretsidx_have_listings()) : displetretsidx_the_listing(); ?>
			<a class="<?php displetretsidx_the_gallery_listing_class(); ?>" href="<?php displetretsidx_the_permalink(); ?>">
				<?php displetretsidx_the_hover_transition_element(); ?>
				<div class="displet-photo-wrapper">
					<div class="<?php displetretsidx_the_photo_container_class(); ?> <?php displetretsidx_the_photo_class(); ?>" style="<?php displetretsidx_the_photo_style(); ?>">
						<?php if (displetretsidx_has_photo_url()) : ?>
							<img class="<?php displetretsidx_the_photo_class(); ?>" src="<?php displetretsidx_the_photo_url(); ?>">
						<?php endif; ?>
					</div>
					<div class="<?php displetretsidx_the_under_contract_banner_class(); ?>">
						Under Contract
					</div>
					<div class="<?php displetretsidx_the_contingency_banner_class(); ?>">
						Contingency
					</div>
				</div>
				<div class="<?php displetretsidx_the_price_container_class(); ?> displet-group">
					<span class="displet-dollar displet-font-color">
						$
					</span>
					<span class="<?php displetretsidx_the_price_class(); ?> displet-font-color">
						<?php displetretsidx_the_price(); ?>
					</span>
				</div>
				<div class="displet-info">
					<div class="displet-location">
						<div class="<?php displetretsidx_the_address_container_class(); ?> <?php displetretsidx_the_address_class(); ?> displet-font-color-light">
							<?php displetretsidx_the_address(); ?>
						</div>
						<div>
							<span class="<?php displetretsidx_the_city_container_class(); ?> <?php displetretsidx_the_city_class(); ?> displet-font-color-light">
								<?php displetretsidx_the_city(); ?></span>,
							<span class="<?php displetretsidx_the_state_container_class(); ?> <?php displetretsidx_the_state_class(); ?> displet-font-color-light">
								<?php displetretsidx_the_state(); ?>
							</span>
							<span class="<?php displetretsidx_the_zip_container_class(); ?> <?php displetretsidx_the_zip_class(); ?> displet-font-color-light">
								<?php displetretsidx_the_zip(); ?>
							</span>
						</div>
						<?php if (displetretsidx_use_subdivision()) : ?>
							<div class="<?php displetretsidx_the_subdivision_container_class(); ?> <?php displetretsidx_the_subdivision_class(); ?> displet-font-color-light">
								<?php displetretsidx_the_subdivision(); ?>
							</div>
						<?php endif; ?>
					</div>
					<div class="displet-details">
						<div>
							<span class="<?php displetretsidx_the_bedrooms_container_class(); ?> displet-font-color-light">
								<span class="<?php displetretsidx_the_bedrooms_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_bedrooms(); ?>
								</span>
								Bed /
							</span>
							<span class="<?php displetretsidx_the_bathrooms_container_class(); ?> displet-font-color-light">
								<span class="<?php displetretsidx_the_bathrooms_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_bathrooms(); ?>
								</span>
								Bath
							</span>
						</div>
						<div class="<?php displetretsidx_the_square_feet_container_class(); ?> displet-font-color-light">
							<span class="<?php displetretsidx_the_square_feet_class(); ?> displet-font-color-light">
								<?php displetretsidx_the_square_feet(); ?>
							</span>
							Sq. Ft.
						</div>
						<div class="<?php displetretsidx_the_property_type_container_class(); ?> displet-font-color-light">
							Property Type:
							<span class="<?php displetretsidx_the_property_type_class(); ?> displet-font-color-light">
								<?php displetretsidx_the_property_type(); ?>
							</span>
						</div>
						<?php if (displetretsidx_use_mls_number()) : ?>
							<div class="<?php displetretsidx_the_mls_number_container_class(); ?> displet-font-color-light">
								MLS&reg; #:
								<span class="<?php displetretsidx_the_mls_number_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_mls_number(); ?>
								</span>
							</div>
						<?php endif; ?>
						<?php if (displetretsidx_use_listing_agent() || displetretsidx_use_listing_office()) : ?>
							<div class="displet-courtesy displet-font-color-light">
								Courtesy of
								<span class="<?php displetretsidx_the_listing_agent_container_class(); ?> <?php displetretsidx_the_listing_agent_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_listing_agent(); ?>
								</span>
								<span class="<?php displetretsidx_the_listing_office_container_class(); ?> <?php displetretsidx_the_listing_office_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_listing_office(); ?>
								</span>
							</div>
						<?php endif; ?>
						<?php if (displetretsidx_use_disclaimer_image()) : ?>
							<img class="displet-mls-logo" src="<?php displetretsidx_the_disclaimer_image_url(); ?>" />
						<?php endif; ?>
					</div>
				</div>
			</a>
			<a class="<?php displetretsidx_the_list_listing_class(); ?> displet-group" href="<?php displetretsidx_the_permalink(); ?>">
				<?php displetretsidx_the_hover_transition_element(); ?>
				<div class="displet-photo-wrapper">
					<div class="<?php displetretsidx_the_photo_container_class(); ?> <?php displetretsidx_the_photo_class(); ?>" style="<?php displetretsidx_the_photo_style(); ?>">
						<?php if (displetretsidx_has_photo_url()) : ?>
							<img class="<?php displetretsidx_the_photo_class(); ?>" src="<?php displetretsidx_the_photo_url(); ?>">
						<?php endif; ?>
					</div>
					<div class="<?php displetretsidx_the_under_contract_banner_class(); ?>">
						Under Contract
					</div>
					<div class="<?php displetretsidx_the_contingency_banner_class(); ?>">
						Contingency
					</div>
				</div>
				<div class="displet-info displet-group">
					<div class="displet-info-inner">
						<div class="displet-header">
							<div class="<?php displetretsidx_the_price_container_class(); ?>">
								<span class="displet-font-color">
									$
								</span>
								<span class="<?php displetretsidx_the_price_class(); ?> displet-font-color">
									<?php displetretsidx_the_price(); ?>
								</span>
							</div>
							<div class="displet-location">
								<span class="<?php displetretsidx_the_address_container_class(); ?> displet-font-color-light">
									<span class="<?php displetretsidx_the_address_class(); ?> displet-font-color-light">
										<?php displetretsidx_the_address(); ?>
									</span>
									|
								</span>
								<span class="<?php displetretsidx_the_city_container_class(); ?> <?php displetretsidx_the_city_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_city(); ?></span>,
								<span class="<?php displetretsidx_the_state_container_class(); ?> <?php displetretsidx_the_state_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_state(); ?>
								</span>
								<span class="<?php displetretsidx_the_zip_container_class(); ?> <?php displetretsidx_the_zip_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_zip(); ?>
								</span>
								<?php if (displetretsidx_use_subdivision()) : ?>
									<div class="<?php displetretsidx_the_subdivision_container_class(); ?> <?php displetretsidx_the_subdivision_class(); ?> displet-font-color-light">
										<?php displetretsidx_the_subdivision(); ?>
									</div>
								<?php endif; ?>
							</div>
						</div>
						<div class="displet-details displet-table">
							<div class="displet-tr">
								<?php if (displetretsidx_use_mls_number()) : ?>
									<div class="<?php displetretsidx_the_mls_number_container_class(); ?> displet-td displet-font-color-light">
										MLS&reg; #
									</div>
								<?php endif; ?>
								<div class="<?php displetretsidx_the_property_type_container_class(); ?> displet-td displet-font-color-light">
									Property Type
								</div>
								<div class="<?php displetretsidx_the_bedrooms_container_class(); ?> displet-td displet-font-color-light">
									Beds
								</div>
								<div class="<?php displetretsidx_the_bathrooms_container_class(); ?> displet-td displet-font-color-light">
									Baths
								</div>
								<div class="<?php displetretsidx_the_square_feet_container_class(); ?> displet-td displet-font-color-light">
									Square Ft
								</div>
							</div>
							<div class="displet-tr">
								<?php if (displetretsidx_use_mls_number()) : ?>
									<div class="<?php displetretsidx_the_mls_number_container_class(); ?> <?php displetretsidx_the_mls_number_class(); ?> displet-td displet-font-color-light">
										<?php displetretsidx_the_mls_number(); ?>
									</div>
								<?php endif; ?>
								<div class="<?php displetretsidx_the_property_type_container_class(); ?> <?php displetretsidx_the_property_type_class(); ?> displet-td displet-font-color-light">
									<?php displetretsidx_the_property_type(); ?>
								</div>
								<div class="<?php displetretsidx_the_bedrooms_container_class(); ?> <?php displetretsidx_the_bedrooms_class(); ?> displet-td displet-font-color-light">
									<?php displetretsidx_the_bedrooms(); ?>
								</div>
								<div class="<?php displetretsidx_the_bathrooms_container_class(); ?> <?php displetretsidx_the_bathrooms_class(); ?> displet-td displet-font-color-light">
									<?php displetretsidx_the_bathrooms(); ?>
								</div>
								<div class="<?php displetretsidx_the_square_feet_container_class(); ?> displet-td">
									<span class="<?php displetretsidx_the_square_feet_class(); ?> displet-font-color-light">
										<?php displetretsidx_the_square_feet(); ?>
									</span>
									s.f.
								</div>
							</div>
						</div>
						<?php if (displetretsidx_use_disclaimer_image()) : ?>
							<img class="displet-mls-logo" src="<?php displetretsidx_the_disclaimer_image_url(); ?>" />
						<?php endif; ?>
						<?php if (displetretsidx_use_listing_agent() || displetretsidx_use_listing_office()) : ?>
							<div class="displet-courtesy displet-font-color-light">
								Courtesy of
								<span class="<?php displetretsidx_the_listing_agent_container_class(); ?> <?php displetretsidx_the_listing_agent_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_listing_agent(); ?>
								</span>
								<span class="<?php displetretsidx_the_listing_office_container_class(); ?> <?php displetretsidx_the_listing_office_class(); ?> displet-font-color-light">
									<?php displetretsidx_the_listing_office(); ?>
								</span>
							</div>
						<?php endif; ?>
						<div class="<?php displetretsidx_the_description_container_class(); ?> <?php displetretsidx_the_description_class(); ?> displet-font-color-light">
							<?php displetretsidx_the_description(); ?>
						</div>
					</div>
				</div>
				<?php displetretsidx_the_hover_transition_overlay_element(); ?>
			</a>
		<?php endwhile; endif; ?>
	</div>
	<div class="<?php displetretsidx_the_no_results_class(); ?>">
		No listings available.
	</div>
	<div id="displet-map" class="<?php displetretsidx_the_map_class(); ?>">
		<?php displetretsidx_the_map(); ?>
	</div>
	<div class="displet-controls displet-group">
		<div class="displet-counts displet-font-color-light">
			<span class="<?php displetretsidx_the_first_count_class(); ?> displet-font-color-light">
				<?php displetretsidx_the_first_count(); ?>
			</span>
			&ndash;
			<span class="<?php displetretsidx_the_last_count_class(); ?> displet-font-color-light">
				<?php displetretsidx_the_last_count(); ?>
			</span>
			of
			<span class="<?php displetretsidx_the_total_count_class(); ?> displet-font-color-light">
				<?php displetretsidx_the_total_count(); ?>
			</span>
		</div>
		<a href="<?php displetretsidx_the_previous_page_url(); ?>" class="<?php displetretsidx_the_previous_page_class(); ?> displet-font-color">
			<span class="displet-previous-icon displet-font-color">
				&laquo;
			</span>
			<span class="displet-font-color">
				Prev
			</span>
		</a>
		<a href="<?php displetretsidx_the_next_page_url(); ?>" class="<?php displetretsidx_the_next_page_class(); ?> displet-font-color">
			<span class="displet-font-color">
				Next
			</span>
			<span class="displet-next-icon displet-font-color">
				&raquo;
			</span>
		</a>
	</div>
	<div class="displet-powered">
		<?php displetretsidx_the_credit(); ?>
	</div>
	<?php if (!displetretsidx_has_api_key()) : ?>
		<div class="displet-free-disclaimer">
			This site is currently using the FREE version of the Displet plugin. For HIGH RES images &amp; up-to-date RETS data, please upgrade.
		</div>
	<?php endif; ?>
	<?php if (displetretsidx_has_disclaimer()) : ?>
		<div class="displet-disclaimer">
			<?php displetretsidx_the_disclaimer(); ?>
		</div>
	<?php endif; ?>
	<?php displetretsidx_the_listings_loading_container(); ?>
</div>